# $Id: Makefile.in,v 1.8 2001/12/18 08:05:40 m-hirano Exp $
# $RWC_Release: Omni-1.6 $
# $RWC_Copyright:
#  Omni Compiler Software Version 1.5-1.6
#  Copyright (C) 2002 PC Cluster Consortium
#  
#  This software is free software; you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License version
#  2.1 published by the Free Software Foundation.
#  
#  Omni Compiler Software Version 1.0-1.4
#  Copyright (C) 1999, 2000, 2001.
#   Tsukuba Research Center, Real World Computing Partnership, Japan.
#  
#  Please check the Copyright and License information in the files named
#  COPYRIGHT and LICENSE under the top  directory of the Omni Compiler
#  Software release kit.
#  
#  
#  $

TOPDIR		=	..
prefix		=	@prefix@
exec_prefix	=	@exec_prefix@

bindir		=	$(exec_prefix)/bin
libdir		=	$(prefix)/lib

ompcdir		=	$(libdir)/openmp
ompcincdir	=	$(ompcdir)/include
ompclibexecdir	=	$(ompcdir)/libexec
ompclibdir	=	$(ompcdir)/lib
ompcclassdir	=	$(ompcdir)/java
ompctempldir	=	$(ompcdir)/template

INSTALLDIR	=	$(ompclibdir)
INSTALLHDRDIR	=	$(ompcincdir)
INSTALLINCDIR   =	$(prefix)/include
INSTALL		= 	@INSTALLCOM@
MKDIR		=	@MKDIRCOM@

GCCINC		=	-I`case "$(CC)" in *gcc) echo \`$(CC) -v 2>&1 | grep specs | sed 's/specs$$/include/' | awk '{ print $$NF }'\`;; esac`


CC_OPT_SWITCH	=	@CFLAGS@
CPPFLAGS	=	-I. -I$(TOPDIR)/include @DEFS@ @CPPFLAGS@
CFLAGS		=	$(CC_OPT_SWITCH) $(CPPFLAGS)

CC		=	@CC@ 
AR		=	@AR@
RANLIB		=	@RANLIB@

YACC		=	@YACCCOM@

DEPEND_SWITCH	=	$(CPPFLAGS)

INSTALL_HDRS	= omp.h omniBackend.h @OPENGR_HDR@
INC_TARGET	= omniConfig.h

DEFAULT_LIB_NAME = libompc.a

all:
	@true

install:
	@if [ ! -d $(INSTALLHDRDIR) ] ; then \
		(echo "Making directory $(INSTALLHDRDIR)" ; \
		$(MKDIR) $(INSTALLHDRDIR) ; \
		chmod 775 $(INSTALLHDRDIR)); \
	else \
		true ; \
	fi
	for i in $(INSTALL_HDRS) ; do \
	     $(INSTALL) -m 644 $$i $(INSTALLHDRDIR); \
	done
	@if [ ! -d $(INSTALLINCDIR) ] ; then \
		(echo "Making directory $(INSTALLINCDIR)" ; \
		$(MKDIR) $(INSTALLINCDIR) ; \
		chmod 775 $(INSTALLINCDIR)); \
	else \
		true ; \
	fi
	for i in $(INC_TARGET) ; do \
	     $(INSTALL) -m 644 $$i $(INSTALLINCDIR); \
	done


clean:
	rm -f $(RUNTIME) *.o *~ core $(LIB_TARGET) *._*_o

distclean:	clean
	rm -f config.* Makefile .depend* ./target.tmpl ./omp.h ./exc_platform.h \
		omniBackend.h omniQReal.h

depend:
	true

Makefile::
	(cd ../; sh ./config.status)
